# Biuro websites

## Information
- Task in [Jira](https://biurobaltic.atlassian.net/browse/LIV-1802)
- Project repository [dev.biuro](http://git.biuro.lt/biuro/dev.biuro)
- Created from [wordpress-nginx-docker](https://github.com/mjstealey/wordpress-nginx-docker)
- SSL Certificates are created with [SSL For Free](https://www.sslforfree.com/?domains=biuro.lt%20www.biuro.lt%20dev.biuro.lt%20staging.biuro.lt%20biuro.lv%20www.biuro.lv%20dev.biuro.lv%20staging.biuro.lv%20biuro.ee%20www.biuro.ee%20dev.biuro.ee%20staging.biuro.ee)

## Installation
- Install [Docker Desktop](https://www.docker.com/products/docker-desktop) on your machine
	- Creating new User on my machine helped me with sharing C drive problem (https://tomssl.com/2018/01/11/sharing-your-c-drive-with-docker-for-windows-when-using-azure-active-directory-azuread-aad/)
- Clone [dev.biuro](http://git.biuro.lt/biuro/dev.biuro) repository
- in Command Prompt run `docker-compose up -d`
- `docker ps` command should output existing docker containers (nginx, mysql, wordpress)
- set dev.biuro.lt, dev.biuro.lv, dev.biuro.ee to 127.0.0.1 in hosts
- check if dev.biuro.lt, dev.biuro.lv, dev.biuro.ee works

### DB backup
- `C:\web\dev.biuro> docker exec -i dev-biuro-mysql mysqldump -udev_user -pY6V6bFkD6@GyD!wTShgFmWz! --default-character-set=utf8 dev_biuro > docker/mariadb/data-001.sql`

### DB restore
- `C:\web\dev.biuro> docker exec -i dev-biuro-mysql mysql -udev_user -pY6V6bFkD6@GyD!wTShgFmWz! --default-character-set=utf8 dev_biuro < docker/mariadb/data-000.sql`

## Development
- `C:\web\dev.biuro\ npm install`

## Wordpress
- Regions created using [Wordpress Network](https://codex.wordpress.org/Create_A_Network)

### User
- biuro
- laikinas2587
- info@biuro.eu

### Plugins
#### Akismet Anti-Spam
#### Cookies warning
#### Data controller
#### Jobs importer
#### Permalink Manager Lite
#### Pods - Custom Content Types and Fields
#### Polylang
#### Yoast SEO

### SEO
- [Biuro SEO auditas](https://docs.google.com/document/d/1FiwVoiLvGGmi9V-HPBgJ3gsh3wGswt27csgvfdTU24w/edit?usp=sharing)
- [Biuro raktinių žodžių analizė](https://docs.google.com/spreadsheets/d/1ggnqKuGxFFkLgI6NDZq4PXpRY_whdHX0kjZj7pCP_fk/edit?ts=5b5eaa62#gid=0)
- [Biuro.lt SEO issues](https://docs.google.com/spreadsheets/d/1dXP0dh_v2sFajrcwR2_9HONMadCdZQW4Y2dVXvhxG3E/edit?ts=5b5eaa6b#gid=748245000)

p.s. might not be shared with everyone

### UX goals
- [Biuro goals framework](https://docs.google.com/spreadsheets/d/1NYUE9lFjfnB8k6rtW8MA0UBolK_rxLHrJ8MkfWJ5b0o/edit?ts=5b459b0e#gid=1585165681)

## Documentation
### Social links
in Admin sidebar: SEO -> Social -> Accounts tab

## Known issues (Windows 10)
### Error
ERROR: for mysql  Cannot start service mysql: error while creating mount source path '/host_mnt/c/web/dev.biuro/var/mariadb': mkdir /host_mnt/c: file exists

### Solution
Restart docker (sometimes PC restart may be required)


## Other (Commands)
- docker-compose up -d
- docker-compose start
- docker-compose stop

- docker-compose rm -fv

- docker ps

- docker update --restart=no mysql
- docker update --restart=no nginx
- docker update --restart=no wordpress

- docker system prune --all

- docker stop mysql
- docker stop nginx
- docker stop wordpress

- docker restart mysql
- docker restart nginx
- docker restart wordpress

- docker push simoncereska/ourdemo

- docker pull simoncereska/ourdemo:0.0.0

- sudo docker login --username=simoncereska --password=rlgjsPeOuF2T6VgW8fGss81h

- sudo docker-compose up -d

- sudo docker restart staging-biuro-nginx
- curl docker

- docker run -d -p 80:80 release:0.0.0
- docker run -d -p 80:80 -p 443:443 release:0.0.0
- docker run -d -p 80:80 simoncereska/ourdemo:0.0.1
- docker run -it simoncereska/ourdemo

- docker build -t release:0.0.0 .

- docker images

- docker rmi 568c4670fa80

- docker save ourdemo > ourdemo.tar

- docker load --input ourdemo.tar

- docker build -t simoncereska/biuro-staging:0.0.2 .
- docker login --username=simoncereska --password=rlgjsPeOuF2T6VgW8fGss81h
- docker push simoncereska/biuro-staging:0.0.2

### DB preview
- `docker exec -it mysql bash`
- `mysql -uroot -pIiIjnsLi2wR9i1kWVbVpUAzP --default-character-set=utf8`
- `use wordpress;`
- `show tables;`

- `use information_schema;`
- `select * from SCHEMATA;`

### READ list
- https://ansi.23-5.eu/2017/06/wordpress-docker-nginx/
- https://ropenscilabs.github.io/r-docker-tutorial/04-Dockerhub.html
- https://www.katacoda.com/courses/docker/
- https://hub.docker.com/r/chriszarate/wordpress/
- https://dev.to/netcell/wordpress-development-with-docker-2jk9
