import gulp from 'gulp';
import rename from 'gulp-rename';
import postCSS from 'gulp-postcss';

export function serveCoreCSS () {
    const p = [
        require('postcss-import')(),
        require('postcss-extend')(), // @extend, placeholder
        require('postcss-nested')(), // nested rules like SASS
        require('postcss-custom-media')(), // custom media
        require('postcss-preset-env')(), // autoprefixer, CSS 4
        require('postcss-critical-split')({ // critical CSS
            'output': 'critical'
        }),
        require('css-mqpacker')(), // merge media queries
        require('cssnano')({ // minify CSS; Disable autoprefixer, because it's already included in cssnext
            autoprefixer: false,
            zindex: false
        }),
        require('postcss-reporter')(), // report issue in console
        require('postcss-browser-reporter')() // report issue in browser
    ];

    return gulp.src('wp-content/!source/css/main.css')
        .pipe(rename('core.css'))
        .pipe(postCSS(p))
        .on('error', function (error) {
            console.log(error.toString());
            this.emit('end');
        })
        .pipe(rename({ suffix: '.min' }))
        .pipe(gulp.dest('wp-content/themes/biuro/css/'));
}
