<?php
/*
Plugin Name: Biuro Jobs importer
description: A plugin for import jobs ads from Biuro endpoint
Version: 1.0.0
*/

set_time_limit(300);

// Data collector: prepare data for import
require_once 'DataCollector.php';
// Data importer: imports data to WP posts
require_once 'JobsImporter.php';

if (function_exists('importer_admin_menu')) {

    // Add item to admin menu
    add_action('admin_menu', 'importer_admin_menu');
}

/**
 *  Set admin menu item for plugin
 */
function importer_admin_menu()
{
    add_submenu_page(
        'options-general.php',
        'Biuro Jobs importer',
        'Biuro Jobs importer',
        'data_importer',
        'jobs-importer',
        'do_import'
    );
}

/**
 *  Imports posts from Biuro endpoint
 */
function do_import()
{

    // Set environment type
//    $env = 'prod';
    $env = 'dev';

    // Set data source path by environment type
    if ($env === 'dev') {
//            $inputFile = plugin_dir_path(__FILE__) . "source_data/wp_biuro.php.xml";
        $inputFile = "https://base.biuro.lt/_export/wp_biuro.php";
    } elseif ($env === 'prod') {
        $inputFile = "http://export.biuro.lt/wp_biuro.php";
    }

    echo "<pre>";

        print_r('<h4>Biuro Jobs importer</h4>');
        print_r("Running in <strong>$env</strong> environment.");
        echo "<br><br>";
        print_r("Data source: $inputFile<br>");

        // XML reader
        $ads = (new DataCollector($inputFile))->getData();

        print_r("Found " . count($ads) . " ads from Biuro.<br>");

        if (count($ads) > 0) {

            print_r("importing....<br><br>");

            // Posts (via Pods framework) creator
            (new JobsImporter($ads))->import();
        } else {
            print_r("<br>There is nothing more to do.");
        }

    echo "</pre>";

}