<?php
/**
 * Template Name: Jobs listing
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>

<?php
    while ( have_posts() ) :

        the_post();
        the_content();

    endwhile;
?>

<?php

    $ID =  get_the_ID();
    $keys =  get_post_custom_keys();

    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '"';

    $taxonomies = array();

    foreach ( $keys as $key => $value ) {
        $val = trim($value);
        $taxonomy = substr($val, 20);

        if ( '_' == $val{0} || substr($val, 0, 20) != 'built_in_taxonomies_' || !$taxonomy):
            continue;
        endif;

        $res = get_post_custom_values( $val, $ID );

        if ( !$res ) {
            continue;
        }

        $term = $res[0];

        if ( !$term ) {
            continue;
        }

        $where = $where . ' AND ' .  $taxonomy . '.slug = "' . $term . '"';
    }

    $params = array(
        'orderby' => 'date DESC',
        'where' => $where,
        'limit'   => 9
    );

    $jobs = pods( 'job', $params );

    // debug($jobs->fetch());

    // $jobs = get_posts( array(
    //     'posts_per_page' => -1,
    //     'post_type' => 'job',
    //     'tax_query' => $taxonomies
    // ) );

        // the_posts_pagination(
        //     array(
        //         'mid_size'  => 2,
        //         'prev_text' => sprintf( '%s <span class="nav-prev-text">%s</span>', $prev_icon, __( 'Newer posts', 'twentynineteen' ) ),
        //         'next_text' => sprintf( '<span class="nav-next-text">%s</span> %s', __( 'Older posts', 'twentynineteen' ), $next_icon ),
        //     )
        // );

    if ( 0 < $jobs->total() ):

        get_template_part( 'template-parts/jobs/jobs', 'list' );

    else:

        get_template_part( 'template-parts/jobs/jobs', 'none' );

    endif;

    // foreach ($jobs as $job) :
    //     echo '<h3><a href="' . get_post_permalink( $job->ID ) . '" target="_blank">' . $job->post_title . '</a></h3>';
    // endforeach;

?>

<?php get_footer();
